"""Add RepositorySearchScore table

Revision ID: f30984525c86
Revises: be8d1c402ce0
Create Date: 2017-04-04 14:30:13.270728

"""

# revision identifiers, used by Alembic.
revision = 'f30984525c86'
down_revision = 'be8d1c402ce0'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

def upgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('repositorysearchscore',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('repository_id', sa.Integer(), nullable=False),
    sa.Column('score', sa.BigInteger(), nullable=False),
    sa.Column('last_updated', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['repository_id'], ['repository.id'], name=op.f('fk_repositorysearchscore_repository_id_repository')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_repositorysearchscore'))
    )
    op.create_index('repositorysearchscore_repository_id', 'repositorysearchscore', ['repository_id'], unique=True)
    op.create_index('repositorysearchscore_score', 'repositorysearchscore', ['score'], unique=False)
    ### end Alembic commands ###


def downgrade(tables):
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('repositorysearchscore')
    ### end Alembic commands ###
